<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Nexpose|Vulnerability Tracking|Host Details Page|Attempts Tab">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="A result code provides the reason why a module did not run successfully. " /><title>Result Codes</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#10-nexpose/result-codes.html">Open topic with navigation</a>
        </p>
        <h4>Result Codes</h4>
        <p>A <a name="kanchor102"></a>result code provides the reason why a module did not run successfully. 
</p>
        <p>The following result codes are available:</p>
        <ul>
            <li value="1"><b>None</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> could not determine if the module ran successfully or failed.</li>
            <li value="2"><b>Unknown</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> could not determine if the module ran successfully or failed. </li>
            <li value="3"><b>Unreachable</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> could not reach the network service.</li>
            <li value="4"><b>Bad-config</b> - Indicates that the exploit settings were not configured correctly.</li>
            <li value="5"><b>Disconnected</b> - Indicates that the network service disconnected during a module run. </li>
            <li value="6"><b>Not-found</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> could not find the application or service. </li>
            <li value="7"><b>Unexpected-reply</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> did not receive the expected response from the application.</li>
            <li value="8"><b>Timeout-expired</b> - Indicates that a timeout occurred.</li>
            <li value="9"><b>User-interrupt</b> - Indicates that the user stopped the module run.</li>
            <li value="10"><b>No-access</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> could not access the application.</li>
            <li value="11"><b>No-target</b> - Indicates that the module configuration was not compatible with the target. </li>
            <li value="12"><b>Not-vulnerable</b> - Indicates that the application was not vulnerable.</li>
            <li value="13"><b>Payload-failed</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> delivered a payload, but was unable to open a session. </li>
        </ul>
    </body>
</html>